Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback

# Class TextFallbackCompareInputLabelProvider

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback.TextFallbackCompareInputLabelProvider

All Implemented Interfaces:
  `org.eclipse.compare.ICompareInputLabelProvider`, `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`

public final class TextFallbackCompareInputLabelProvider extends Object implements org.eclipse.compare.ICompareInputLabelProvider
A specialized implementation of a compare input label provider.

## Constructor Summary

Constructors
Constructor
Description
`TextFallbackCompareInputLabelProvider(TextFallbackMergeViewer textFallbackMergeViewer, EMFCompareConfiguration configuration)`
Creates an instance for the given viewer and configuration.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void`
`dispose()`
`org.eclipse.swt.graphics.Image`
`getAncestorImage(Object input)`
`String`
`getAncestorLabel(Object input)`
`org.eclipse.swt.graphics.Image`
`getImage(Object element)`
`org.eclipse.swt.graphics.Image`
`getLeftImage(Object input)`
`String`
`getLeftLabel(Object input)`
`org.eclipse.swt.graphics.Image`
`getRightImage(Object input)`
`String`
`getRightLabel(Object input)`
`String`
`getText(Object element)`
`boolean`
`isLabelProperty(Object element, String property)`
`void`
`removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextFallbackCompareInputLabelProvider

public TextFallbackCompareInputLabelProvider(TextFallbackMergeViewer textFallbackMergeViewer, EMFCompareConfiguration configuration)
Creates an instance for the given viewer and configuration.

Parameters:
  `textFallbackMergeViewer` - the viewer for which labels are being provided
  `configuration` - the configuration used to provide labels.

## Method Details

### getImage

public org.eclipse.swt.graphics.Image getImage(Object element)

This is never called and always return `null`.

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
See Also:
  - `ILabelProvider.getImage(Object)`

### getText

public String getText(Object element)

This is never called and always return `null`.

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
See Also:
  - `ILabelProvider.getText(Object)`

### addListener

public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

This implementation has no state so ignores listeners.

Specified by:
  `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  - `IBaseLabelProvider.addListener(ILabelProviderListener)`

### dispose

public void dispose()

This implementation has no state so does nothing.

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  - `IBaseLabelProvider.dispose()`

### isLabelProperty

public boolean isLabelProperty(Object element, String property)

This is never called and always returns `false`.

Specified by:
  `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  - `IBaseLabelProvider.isLabelProperty(Object, String)`

### removeListener

public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

This implementation has no state so ignores listeners.

Specified by:
  `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
See Also:
  - `IBaseLabelProvider.removeListener(ILabelProviderListener)`

### getAncestorLabel

public String getAncestorLabel(Object input)

This implementation calls `getLabel(Resource, IStorage, boolean)`.

Specified by:
  `getAncestorLabel` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  - `ICompareInputLabelProvider.getAncestorLabel(Object)`

### getAncestorImage

public org.eclipse.swt.graphics.Image getAncestorImage(Object input)

This implementation calls `getImage(Resource)`.

Specified by:
  `getAncestorImage` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  - `ICompareInputLabelProvider.getAncestorImage(Object)`

### getLeftLabel

public String getLeftLabel(Object input)

This implementation calls `getLabel(Resource, IStorage, boolean)`.

Specified by:
  `getLeftLabel` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  - `ICompareInputLabelProvider.getLeftLabel(Object)`

### getLeftImage

public org.eclipse.swt.graphics.Image getLeftImage(Object input)

This implementation calls `getImage(Resource)`.

Specified by:
  `getLeftImage` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  - `ICompareInputLabelProvider.getLeftImage(Object)`

### getRightLabel

public String getRightLabel(Object input)

This implementation calls `getLabel(Resource, IStorage, boolean)`.

Specified by:
  `getRightLabel` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  - `ICompareInputLabelProvider.getRightLabel(Object)`

### getRightImage

public org.eclipse.swt.graphics.Image getRightImage(Object input)

This implementation calls `getImage(Resource)`.

Specified by:
  `getRightImage` in interface `org.eclipse.compare.ICompareInputLabelProvider`
See Also:
  - `ICompareInputLabelProvider.getRightImage(Object)`